Bug 1018608 - Building Publican 4.0 in Fedora 19 throws undefined subroutine error
Building Publican 4.0 in Fedora 19 throws undefined subroutine error
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 15:14 EDT by Zac Dover
Modified: 2013-12-18 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zac Dover 2013-10-13 15:14:08 EDT
Description of problem:
 Building Publican
 Undefined subroutine &My::Builder::pushd called at /home/zdover/workspace/wkhtml/publican/publican/tmp/rpm/Publican-v3.9.9/_build/lib/My/Builder.pm line 84.
 error: Bad exit status from /var/tmp/rpm-tmp.bDCTeA (%build)


 RPM build errors:
      Bad exit status from /var/tmp/rpm-tmp.bDCTeA (%build)
 Died at /home/zdover/workspace/wkhtml/publican/publican/_build/lib/My/Builder.pm line 51.


Version-Release number of selected component (if applicable):
Fedora 19
Publican 4.0 (built from source during testing)

How reproducible:
Try to build Publican 4.0 from source in Fedora 19.

Steps to Reproduce:
1. see above
2. keep seeing above
3. finish seeing above

Actual results:
Publican 4.0 fails to build from source in Fedora 19.

Expected results:
Publican 4.0 builds from source in Fedora 19.

Additional info:
None.
Comment 1 HSS Product Manager 2013-10-13 19:19:49 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 2 Jeff Fearn 2013-10-13 19:28:26 EDT
To ssh://git.fedorahosted.org/git/publican.git
   3384a72..623a7e0  HEAD -> devel
Comment 3 Ruediger Landmann 2013-10-14 01:29:13 EDT
Verified -- publican-3.9.9-0.fc19.t6.noarch builds fine on F19

Note You need to log in before you can comment on or make changes to this bug.